org.firebirdsql.util

## Class Primitives

- java.lang.Object
- - org.firebirdsql.util.Primitives

    @InternalApi
    public final class Primitives
    extends java.lang.Object

Helper methods for conversion to or from primitive values.

Since:
  5.
Author:
  Mark Rotteveel

### Method Summary

All Methods Static Methods Concrete Methods
`static int[]` `toIntArray(java.util.List<? extends java.lang.Number> numbers)` Convert list of numbers into array of `int`.
`static long[]` `toLongArray(java.util.List<? extends java.lang.Number> longObjects)` Convert list of numbers into array of `long`.
`static java.util.List<java.lang.Long>` `toLongList(int[] intValues)` Convert array of `int` to list of `Long`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### toIntArray

    public static int[] toIntArray(java.util.List<? extends java.lang.Number> numbers)

Convert list of numbers into array of `int`.

Parameters:
  `numbers` - list of numbers
Returns:
  array of `int`

#### toLongArray

    public static long[] toLongArray(java.util.List<? extends java.lang.Number> longObjects)

Convert list of numbers into array of `long`.

Parameters:
  `longObjects` - list of numbers
Returns:
  array of `long`

#### toLongList

    public static java.util.List<java.lang.Long> toLongList(int[] intValues)

Convert array of `int` to list of `Long`.

Parameters:
  `intValues` - array of `int`
Returns:
  list of `Long`